The bug tracker for setuptools 0.7 or higher is on BitBucket

 

Issue70

Title Patch to remove call to /usr/bin/sw_vers on OSX
Priority feature Status resolved
Superseder Nosy List pje, ronaldoussoren
Assigned To Keywords

Created on 2009-05-21.09:29:41 by ronaldoussoren, last changed 2009-10-19.19:33:32 by pje.

Files
File name Uploaded Type Edit Remove
setuptools-no-sw_vers.patch ronaldoussoren, 2009-05-21.09:29:40 text/plain
Messages
msg426 (view) Author: pje Date: 2009-10-19.19:33:32
setuptools 0.6c10 is released with a fix for this issue.
msg289 (view) Author: ronaldoussoren Date: 2009-05-21.09:29:40
The attached patch for setuptools 0.6c9 replaces a shell callout to 
/usr/bin/sw_vers to using platform.mac_ver on OSX.

The primary reason for writing the patch is that gdb tends to cause havoc with 
calls to os.popen (the debugged process gets an signal and debugging gets 
aborted). 

This patch makes it a lot more convenient to run "setup.py test" in a gdb 
session, without this patch I regularly have to re-run the tests several times 
until the callout to sw_vers succeeds.
History
Date User Action Args
2009-10-19 19:33:32pjesetstatus: in-progress -> resolved
nosy: + pje
messages: + msg426
2009-10-10 22:13:08pjesetstatus: unread -> in-progress
2009-05-21 09:29:41ronaldoussorencreate